The list of all the funds within the business with summarised details.
Security
Class_oAuth(Required scopes: business.fund.list)
Legal Entity Type
Enum:"SMSF""SAF""Personal""Trust""Company""Partnership""Consolidated"
Examples:
SMSF
legalEntityType=SMSFSAF
legalEntityType=SAFPersonal
legalEntityType=PersonalTrust
legalEntityType=TrustCompany
legalEntityType=CompanyPartnership
legalEntityType=PartnershipConsolidated
legalEntityType=Consolidated- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/b/{businessCode}/fund-data/fund-list
- Production Environmenthttps://api.class.com.au/api/1.0/b/{businessCode}/fund-data/fund-list
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/b/demo-business/fund-data/fund-list?FundTags=FY2025&brandCode=demo-brand&relevanceSearch=true&Search=demo-fund&legalEntityType=SMSF&statusCode=Active&ABN=53004085616' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "Data": [ { "FundSummaries": [ { "Link": { "Id": "58edab15-b993-43de-b653-84b7a86d5746", "Url": "http://api.class.com.au/api/1.0/f/demo-business/DEMO_SMSF_2025/fund-data/fund-detail" }, "Status": "Active", "Code": "DEMO_SMSF_2025", "Name": "Demo Superannuation Fund 2025", "Tags": "FY2025", "UnmatchedEvidenceSupplyCount": 0, "UnmatchedEvidenceRequestCount": 1, "RecordedEvidenceRequestCount": 0, "RequiresProcessingCorporateActionCount": 0, "SummaryIsValid": true, "LastPeriodUpdateEndDate": "2024-07-01", "ProcessedToDate": "2022-07-01", "LegalEntityType": "SMSF", "BrandName": "demo-brand", "ABN": "53004085616" } ], "TotalCount": 1 } ], "Errors": [ { "Code": "string", "Message": "string" } ] }